---
class: post
title: zathura
date: aaaa-mm-gg
layout: post 
author: piccihud
published: false
tags: 
- guide
---

# Zathura

Zathura è un visualizzatore di documenti altamente personalizzabile in stile Vim.

## Installazione

```bash
sudo apt install zathura zathura-cb
```
## Scorciatoie

| Comando                     |                                                |
|-----------------------------|------------------------------------------------|
| J o Page Down               | Go to next page                                |
| K o Page Up                 | Go to previous page                            |
| h o k o j o l               | Scroll to the left, down, up o right direction |
| Ctrl + F o Ctrl + B o Space | Scroll a full page left, down, up orright      |
| gg                          | Goto to the first page                         |
| G                           | Go to last page                                |
| :X                          | Go to page X                                   |
| Shift + H                   | Go to top of the current page                  |
| Shift + L                   | Go to bottom of the current page               |
| Ctrl + O                    | Move backward through the jump list            |
| Ctrl + I                    | Move forward through the jump list             |
| / o ?                       | Search fo text                                 |
| N                           | Search fo the next result                      |
| Shift + N                   | Search fo the previous result                  |
| O o Shift + O               | Open document                                  |
| f                           | Follow links                                   |
| :                           | Enter command                                  |
| R                           | Rotate by 90 degrees                           |
| Ctrl + R                    | Recolor (grayscale and invert colors)          |
| Shift + R                   | Reload document                                |
| Tab                         | Show index and switch to Index mode            |
| d                           | Toggle dual page view                          |
| F5                          | Switch to presentation mode                    |
| F11                         | Switch to fullscreen mode                      |
| Ctrl + M                    | Toggle inputbar                                |
| Ctrl + N                    | Toggle statusbar                               |
| +                           | Zoom in                                        |
| -                           | Zoom out                                       |
| =                           | Zoom to the original size                      |
| :bmark bookmark-name        | Set a bookmark                                 |
| :bdelete bookmark-name      | Delete a bookmark                              |
| :blist bookmark-name        | List bookmark                                  |
| Q                           | Quit                                           |

## Collegamenti
- [https://wiki.archlinux.org/title/Zathura](https://wiki.archlinux.org/title/Zathura)
